Лицензионные проблемы в AAC-кодировщике у Linux

Проблемы с лицензированием библиотеки faac, применяемой для преобразования звука в формат AAC (используется в MPEG-4 и MPEG-2) могут привести к её удалению из дистрибутива Ubuntu или к перемещению в репозитории "restricted". Суть в том, что некоторые файлы из состава faac содержат код, распространяемый под несвободными лицензиями, в то время как весть пакет в целом позиционируется разработчиками как лицензируемый на условиях LGPL.
Проблема касается не только Ubuntu, но именно в этом дистрибутиве проблема встаёт наиболее остро в виду приближения сроков выхода очередного релиза с долгосрочной поддержкой (Long Term Support). Впервые она была обозначена на Launchpad в виде сообщения об ошибке, далее вопрос был подхвачен разработчиками FFmpeg и теперь снова возник в связи с приближением выхода Ubuntu 10.04 LTS.

По оценке разработчиков FFmpeg, некоторое количество файлов из состава libfaac имеют неизвестное или противоречивое происхождение. Одним из решений может стать удаление libfaac из дистрибутива, но это может сказаться на целом ряде пакетов, включая преобразователи DivX и H.264, "bad"-плагины GStreamer, а также программы MEncoder, OGMRip и MPlayer. Хотя программы могут быть собраны и без поддержки libfaac - это может означать, что Ubuntu 10.04 останется без поддержки кодировщика в формат AAC. Удаление не затронет возможность преобразования из формата AAC, поскольку за это отвечает другая декодирующая библиотека, libfaad.